## pixelmed 20150917+git20151209.36f3174+dfsg

=== Makefile ===
all:	pixelmed.jar

PIXELMEDCODESIGNERKEYSTORE = "/Volumes/Access/Access/pixelmed_comodo_objectsigner.p12"
PIXELMEDCODESIGNERALIAS = "pixelmed publishing's the usertrust network id"
PIXELMEDCODESIGNEROPTIONS = -storetype pkcs12

TAR = gnutar
#TAR = tar
COMPRESS = bzip2
COMPRESSEXT = bz2

SUBDIRS = \
	com/pixelmed/dicom \
	com/pixelmed/geometry \
	com/pixelmed/validate \
	com/pixelmed/display \
	com/pixelmed/display/event \
	com/pixelmed/event \
	com/pixelmed/network \
	com/pixelmed/utils \
	com/pixelmed/database \
	com/pixelmed/query \
	com/pixelmed/scpecg \
	com/pixelmed/displaywave \
	com/pixelmed/web \
	com/pixelmed/server \
	com/pixelmed/transfermonitor \
	com/pixelmed/convert \
	com/pixelmed/apps \
	com/pixelmed/anatproc \
	com/pixelmed/dose \
	com/pixelmed/doseocr \
	com/pixelmed/test \
	com/pixelmed/ftp \
	apple/dts/samplecode/osxadapter
	

SUBPACKAGES = \
	com.pixelmed.dicom \
	com.pixelmed.geometry \
	com.pixelmed.validate \
	com.pixelmed.display \
	com.pixelmed.display.event \
	com.pixelmed.event \
	com.pixelmed.network \
	com.pixelmed.utils \
	com.pixelmed.database \
	com.pixelmed.query \
	com.pixelmed.scpecg \
	com.pixelmed.displaywave \
	com.pixelmed.web \
	com.pixelmed.server \
	com.pixelmed.transfermonitor \
	com.pixelmed.convert \
	com.pixelmed.apps \
	com.pixelmed.anatproc \
	com.pixelmed.dose \
	com.pixelmed.doseocr \
	com.pixelmed.test \
	com.pixelmed.ftp \
	apple.dts.samplecode.osxadapter

ADDITIONALFILES = \
	COPYRIGHT \
	DeidentifyAndRedact.bat \
	DeidentifyAndRedact.sh \
	DeidentifyAndRedactWithOriginalFileName.bat \
	DicomAttributeBrowser.sh \
	DicomBrowser.sh \
	DicomCleanerAssumingJREInstalled.bat \
	DicomCleanerWithOwnJRE.bat \
	DicomImageViewer.bat \
	DicomImageViewer.sh \
	DicomImageViewerWithCDJRE.bat \
	DicomImageViewerWithOwnJRE.bat \
	DicomInstanceValidator.sh \
	DicomSRValidator.sh \
	DoseUtilityAssumingJREInstalled.bat \
	DoseUtilityWithOwnJRE.bat \
	ECGViewer.bat \
	ECGViewer.sh \
	MoveDicomFilesIntoHierarchy.sh \
	NetworkMediaImporter.bat \
	NetworkMediaImporter.sh \
	StructuredReportBrowser.sh \
	StudyReceiver.bat \
	studyreceiver.properties \
	Makefile \
	Makefile.common.mk \
	README \
	sample.com.pixelmed.display.DicomImageViewer.properties

WEBSTARTIMAGEFILES = \
	webstart/images/DicomCleanerControlPanel.png \
	webstart/images/DicomCleanerCopyShortcut.png \
	webstart/images/DicomCleanerLocalConfiguration.png \
	webstart/images/DicomCleanerMainPanelAfterClean.png \
	webstart/images/DicomCleanerPasteShortcut.png \
	webstart/images/DicomCleanerRemoteConfiguration.png \
	webstart/images/DicomCleanerShowVersion.png \
	webstart/images/DicomImageBlackoutColorUltrasound.png \
	webstart/images/DicomImageBlackoutOverlayDose.png \
	webstart/images/DoseUtilityCopyShortcut.png \
	webstart/images/DoseUtilityDoseScreenImage.png \
	webstart/images/DoseUtilityDoseSRTree.png \
	webstart/images/DoseUtilityDoseSRValidation.png \
	webstart/images/DoseUtilityLocalConfiguration.png \
	webstart/images/DoseUtilityLocalFTPConfiguration.png \
	webstart/images/DoseUtilityLogOfReport.png \
	webstart/images/DoseUtilityMainPanel.png \
	webstart/images/DoseUtilityPasteShortcut.png \
	webstart/images/DoseUtilityRemoteConfiguration.png \
	webstart/images/DoseUtilityRemoteFTPConfiguration.png \
	webstart/images/PixelMedLogoAndTitle.gif \
	webstart/images/osi_standard_logo.png

WEBSTARTHTMLFILES = \
	webstart/ConvertAmicasJPEG2000FilesetToDicom.html \
	webstart/DicomImageViewer.html \
	webstart/DicomImageViewerUsage.html \
	webstart/DicomImageBlackout.html \
	webstart/DicomCleaner.html \
	webstart/DicomCleanerUsage.html \
	webstart/DoseUtility.html \
	webstart/DoseUtilityUsage.html \
	webstart/MediaImporter.html \
	webstart/WatchFolderAndSend.html

WEBSTARTJNLPFILES = \
	webstart/ConvertAmicasJPEG2000FilesetToDicom.jnlp \
	webstart/DicomCleaner.jnlp \
	webstart/DicomImageBlackout.jnlp \
	webstart/DicomImageViewer.jnlp \
	webstart/DoseUtility.jnlp \
	webstart/MediaImporter.jnlp \
	webstart/WatchFolderAndSend.jnlp

ADDITIONALSOURCEFILES = \
	Doxyfile \
	icons/ConvertAmicasJPEG2000FilesetToDicom.icns \
	icons/ConvertAmicasJPEG2000FilesetToDicom.png \
	icons/ConvertAmicasJPEG2000FilesetToDicom.ico \
	icons/DicomCleaner.icns \
	icons/DicomCleaner.png \
	icons/DicomCleaner.ico \
	icons/DicomImageBlackout.icns \
	icons/DicomImageBlackout.png \
	icons/DicomImageBlackout.ico \
	icons/DicomImageViewer.icns \
	icons/DicomImageViewer.png \
	icons/DicomImageViewer.ico \
	icons/DoseUtility.icns \
	icons/DoseUtility.png \
	icons/DoseUtility.ico \
	icons/DownloadOrTransmit.icns \
	icons/DownloadOrTransmit.png \
	icons/DownloadOrTransmit.ico \
	icons/MediaImporter.icns \
	icons/MediaImporter.png \
	icons/MediaImporter.ico \
	icons/WatchFolderAndSend.icns \
	icons/WatchFolderAndSend.png \
	icons/WatchFolderAndSend.ico \
	${WEBSTARTHTMLFILES} \
	${WEBSTARTJNLPFILES} \
	${WEBSTARTIMAGEFILES} \
	webstart/Manifest.txt \
	com/pixelmed/doseocr/OCR_Glyphs_DoseScreen.xml

WEBSTARTJAIFILES = \
	webstart/jai-imageio/early-access/1.1/linux-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/linux-i586/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/linux-i586/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio_vis.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio_vis2.so.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio_sse2.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio_util.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/jai_imageio.jar \

WEBSTARTFILES = \
	webstart/pixelmed.jar \
	webstart/pixelmed_codec.jar \
	webstart/commons-codec-1.3.jar \
	webstart/commons-net-ftp-2.0.jar \
	webstart/hsqldb.jar \
	webstart/jmdns.jar \
	webstart/commons-compress-1.9.jar \
	webstart/vecmath1.2-1.14.jar \
	webstart/icons/ConvertAmicasJPEG2000FilesetToDicom.png \
	webstart/icons/DicomCleaner.png \
	webstart/icons/DicomImageBlackout.png \
	webstart/icons/DicomImageViewer.png \
	webstart/icons/DoseUtility.png \
	webstart/icons/DownloadOrTransmit.png \
	webstart/icons/MediaImporter.png \
	webstart/icons/WatchFolderAndSend.png \
	webstart/icons/ConvertAmicasJPEG2000FilesetToDicom.ico \
	webstart/icons/DicomCleaner.ico \
	webstart/icons/DicomImageBlackout.ico \
	webstart/icons/DicomImageViewer.ico \
	webstart/icons/DoseUtility.ico \
	webstart/icons/DownloadOrTransmit.ico \
	webstart/icons/MediaImporter.ico \
	webstart/icons/WatchFolderAndSend.ico \
	webstart/sample.com.pixelmed.display.DicomImageViewer.properties \
	webstart/sample.com.pixelmed.display.DicomCleaner.properties \
	${WEBSTARTHTMLFILES} \
	${WEBSTARTJNLPFILES} \
	${WEBSTARTIMAGEFILES} \
	${WEBSTARTJAIFILES}

BINARYRELEASEFILES = \
	pixelmed.jar \
	BUILDDATE \
	${ADDITIONALFILES}

SOURCERELEASEFILES = \
	${ADDITIONALFILES} \
	${ADDITIONALSOURCEFILES} \
	${SUBDIRS}

DEPENDENCYRELEASEFILESWITHOUTREADME = \
	lib/additional/commons-codec-1.3.jar \
	lib/additional/commons-net-ftp-2.0.jar \
	lib/additional/commons-compress-1.9.jar \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	lib/additional/aiviewer.jar \
	lib/additional/javax.json-1.0.4.jar \
	lib/additional/javax.json-api-1.0.jar \
	lib/junit/junit-4.8.1.jar \
	LICENSES

DEPENDENCYRELEASEFILES = \
	${DEPENDENCYRELEASEFILESWITHOUTREADME} \
	README

DICOMCLEANERDEPENDENCYRELEASEFILES = \
	lib/additional/pixelmed_codec.jar \
	lib/additional/commons-codec-1.3.jar \
	lib/additional/commons-compress-1.9.jar \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	LICENSES/hsqldb_lic.txt

DOSEUTILITYDEPENDENCYRELEASEFILES = \
	lib/additional/commons-codec-1.3.jar \
	lib/additional/commons-net-ftp-2.0.jar \
	lib/additional/commons-compress-1.9.jar \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	LICENSES/hsqldb_lic.txt

WINDOWSJIIORELEASEFILES = \
	windows/lib/clib_jiio.dll \
	windows/lib/clib_jiio_sse2.dll \
	windows/lib/clib_jiio_util.dll \
	windows/lib/clibwrapper_jiio.jar \
	windows/lib/jai_imageio.jar \
	LICENSES/LICENSE-jai_imageio.txt \
	LICENSES/THIRD-PARTY-LICENSE-README-jai_imageio.txt

JAVADOCRELEASEFILES = \
	${JAVADOCFILES}


DOXYGENRELEASEFILES = \
	${DOXYGENFILES}

JAVADOCFILES = \
	docs/javadoc

DOXYGENFILES = \
        docs/doxygen

OTHERDOCRELEASEFILES = \
	docs/DicomImageViewer/Conformance.pdf \
	docs/DicomImageViewer/ReleaseNotes.pdf \
	docs/DicomImageViewer/UserManual.pdf \
	docs/ECGViewer/ReleaseNotes.pdf

MACAPPS = \
	DicomImageViewer_app \
	DicomCleaner_app \
	DoseUtility_app \
	ECGViewer_app

MACAPPRELEASEFILES = \
	DicomImageViewer.app/Contents/Info.plist \
	DicomImageViewer.app/Contents/MacOS/JavaAppLauncher \
	DicomImageViewer.app/Contents/PkgInfo \
	DicomImageViewer.app/Contents/Resources/DicomImageViewer.icns \
	DicomImageViewer.app/Contents/Java/pixelmed.jar \
	DicomImageViewer.app/Contents/Java/pixelmed_imageio.jar \
	DicomImageViewer.app/Contents/Java/hsqldb.jar \
	DicomImageViewer.app/Contents/Java/commons-compress-1.9.jar \
	DicomImageViewer.app/Contents/Java/vecmath1.2-1.14.jar \
	DicomImageViewer.app/Contents/Java/commons-codec-1.3.jar \
	DicomImageViewer.app/Contents/Java/jai_imageio.jar \
	DicomImageViewer.app/Contents/Java/jmdns.jar \
	DicomCleaner.app/Contents/Info.plist \
	DicomCleaner.app/Contents/MacOS/JavaAppLauncher \
	DicomCleaner.app/Contents/PkgInfo \
	DicomCleaner.app/Contents/Resources/DicomCleaner.icns \
	DicomCleaner.app/Contents/Java/commons-codec-1.3.jar \
	DicomCleaner.app/Contents/Java/commons-compress-1.9.jar \
	DicomCleaner.app/Contents/Java/hsqldb.jar \
	DicomCleaner.app/Contents/Java/jmdns.jar \
	DicomCleaner.app/Contents/Java/pixelmed.jar \
	DicomCleaner.app/Contents/Java/pixelmed_imageio.jar \
	DoseUtility.app/Contents/Info.plist \
	DoseUtility.app/Contents/MacOS/JavaAppLauncher \
	DoseUtility.app/Contents/PkgInfo \
	DoseUtility.app/Contents/Resources/DoseUtility.icns \
	DoseUtility.app/Contents/Java/pixelmed.jar \
	DoseUtility.app/Contents/Java/pixelmed_imageio.jar \
	DoseUtility.app/Contents/Java/hsqldb.jar \
	DoseUtility.app/Contents/Java/commons-compress-1.9.jar \
	DoseUtility.app/Contents/Java/commons-codec-1.3.jar \
	DoseUtility.app/Contents/Java/commons-net-ftp-2.0.jar \
	DoseUtility.app/Contents/Java/jmdns.jar \
	DoseUtility.app/Contents/Java/jai_imageio.jar

MACAPPECGRELEASEFILES = \
	ECGViewer.app/Contents/Info.plist \
	ECGViewer.app/Contents/MacOS/JavaAppLauncher \
	ECGViewer.app/Contents/PkgInfo \
	ECGViewer.app/Contents/Resources/GenericJavaApp.icns \
	ECGViewer.app/Contents/Java/pixelmed.jar \
	ECGViewer.app/Contents/Java/commons-codec-1.3.jar

TESTSCPECGRESULTFILES = \
	testresults/scpecg

include Makefile.common.mk

pixelmed.jar:
	(cd com/pixelmed/utils; make all)
	(cd com/pixelmed/dicom; make all)
	(cd com/pixelmed/geometry; make all)
	(cd com/pixelmed/validate; make all)
	(cd com/pixelmed/network; make all)
	(cd com/pixelmed/database; make all)
	(cd com/pixelmed/query; make all)
	(cd com/pixelmed/event; make all)
	(cd com/pixelmed/display/event; make all)
	(cd com/pixelmed/display; make all)
	(cd com/pixelmed/scpecg; make all)
	(cd com/pixelmed/displaywave; make all)
	(cd com/pixelmed/web; make all)
	(cd com/pixelmed/server; make all)
	(cd com/pixelmed/transfermonitor; make all)
	(cd com/pixelmed/convert; make all)
	(cd com/pixelmed/anatproc; make all)

=== com/pixelmed/apps/Makefile ===
PATHTOROOT = ../../..

OBJS = \
SynchronizeFromRemoteSCP.class \
WatchFolderAndSend.class \
RotateFlipSetOfImages.class \
DoseUtility.class \
InsertCodeSequence.class \
MergeCompositeContext.class \
MergeCompositeContextForOneEntitySelectively.class \
DoseReporterWithLegacyOCRAndAutoSendToRegistry.class \
MultiModalitySimulator.class \
ConvertPaletteColorToGrayscale.class \
ConvertPlanarConfiguration.class \
ConvertNonRGBToRGB.class \
UIDMapByMatchingPixelData.class \
DownloadOrTransmit.class \
RemapUIDs.class \
CopyOnlyHeadOfMultipleStructuredReportsAndReferences.class \
CheckAllUIDReferencesResolve.class \
AddHierarchicalEvidenceSequencetoStructuredReports.class \
IntegerScalingOfFloatingPointPixelData.class \
RemapFrameOfReferenceUIDs.class \
TranslateImagePositionPatient.class \
KeepOnlyImagePixelModule.class \
DecompressDicomFiles.class \
Convert8To16Bits.class \
InsertRealWorldValueMap.class \
DeidentifyAndRedact.class \
DeidentifyAndRedactWithOriginalFileName.class \
FindAndCopySelectedDicomFiles.class \
FindAndCopySelectedDicomFilesUsingDatabase.class \
StudyReceiver.class \
MergeFunctionalGroups.class \
SetCharacteristicsFromSummary.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

# override javac command in Makefile.common.mk to add codec to classpath, until folded into main trunk :(
.java.class:
	export JAVAVERSIONTARGETJARFILE=`/usr/libexec/java_home -v ${JAVAVERSIONTARGET} | tail -1`/jre/lib/rt.jar; javac ${JAVACOPTIONS} \
		-classpath ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${FTPADDITIONALJARS}:${JPEGBLOCKREDACTIONJAR}:${PATHTOADDITIONAL}/javax.json-api-1.0.jar \
		-sourcepath ${PATHTOROOT} $<

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/apps.`date '+%Y%m%d'`.tar.gz

testsync:	SynchronizeFromRemoteSCP.class
	mkdir -p /tmp/testimages
	java -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} -Djava.awt.headless=true \
		com.pixelmed.apps.SynchronizeFromRemoteSCP \
			/tmp/testdatabase \
			/tmp/testimages \
			localhost 4006 GRAYTOO_DIV_4006 \
			4007 LOCAL4007 1

testrotateflip90H:	RotateFlipSetOfImages.class
	rm -rf /tmp/testrotateflip90H
	mkdir -p /tmp/testrotateflip90H
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.RotateFlipSetOfImages \
			270 Y Y \
			$${HOME}/work/dctool.support/images/dicom/forjpeg2000/discimg \
			/tmp/testrotateflip90H

testwatchandsend:	WatchFolderAndSend.class
	@rm -rf /tmp/watchthisfolder
	@mkdir -p /tmp/watchthisfolder
	../network/runprocessinbackground.sh \
		/tmp/watchandsend.pid /tmp/watchandsend.stdout /tmp/watchandsend.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.apps.WatchFolderAndSend \
			/tmp/watchthisfolder \
			localhost 11112 STORESCP US 1 0
	#tail -f /tmp/watchandsend.stderr &
	@rm -rf /tmp/tesstoragescp.receivedfiles
	@mkdir -p /tmp/tesstoragescp.receivedfiles
	../network/runprocessinbackground.sh \
		/tmp/tesstoragescp.pid /tmp/tesstoragescp.stdout /tmp/tesstoragescp.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 11112 STORESCP /tmp/tesstoragescp.receivedfiles INSECURE 0
	#tail -f /tmp/tesstoragescp.stderr &
	dcsmpte /tmp/testsmpte.dcm -r PatientName Test^Watch
	#java -cp ${PATHTOROOT} com.pixelmed.network.StorageSOPClassSCU localhost 11112 STORESCP US /tmp/testsmpte.dcm 0 0
	cp /tmp/testsmpte.dcm /tmp/watchthisfolder
	@echo "Sleeping for longer than two watch intervals in order to allow wait for being modified to expire"
	@sleep 25
	@echo "Back from sleep ... folder content should have been processed by now"
	@echo "Dumping logger messages"
	@cat /tmp/watchandsend.stderr
	@echo "List contents of watched directory ... expect it to be empty"
	@ls -lL /tmp/watchthisfolder
	@echo "List done"
	@echo "Comparing sent and received files - expect no difference except meta header"
	# the -a option to grep is necessary since sometimes it thinks the stderr file is binary and fails
	@receivedfilename=`grep -a 'sendReceivedObjectIndication() fileName' /tmp/tesstoragescp.stderr | tail -1 | sed -e 's/^.*fileName: //' -e 's/ from .*$$//'`; \
		andiff /tmp/testsmpte.dcm "$${receivedfilename}"; \
		dccmp /tmp/testsmpte.dcm "$${receivedfilename}"
	@echo "Comparison done"
	@kill -9 `cat /tmp/watchandsend.pid`
	@kill -9 `cat /tmp/tesstoragescp.pid`
	@rm -f /tmp/testsmpte.dcm
	@rm -rf /tmp/watchthisfolder
	@rm -f /tmp/watchandsend.pid /tmp/watchandsend.stdout /tmp/watchandsend.stderr
	@rm -rf /tmp/tesstoragescp.receivedfiles
	@rm -f /tmp/tesstoragescp.pid /tmp/tesstoragescp.stdout /tmp/tesstoragescp.stderr

testwatchandsenddialog:	WatchFolderAndSend.class
	java -cp ${PATHTOROOT} com.pixelmed.apps.WatchFolderAndSend

testdoseutility:	DoseUtility.class
	java -Xmx2g -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${FTPADDITIONALJARS} com.pixelmed.apps.DoseUtility

testinsertcode:	InsertCodeSequence.class
	rm -f /tmp/testinsertcodesrc.dcm
	dcsmpte /tmp/testinsertcodesrc.dcm
	rm -rf /tmp/testinsertcodedst
	mkdir -p /tmp/testinsertcodedst
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.InsertCodeSequence \
			AnatomicRegionSequence "T-A0100" "SRT" "" "Brain" \
			/tmp/testinsertcodesrc.dcm \
			/tmp/testinsertcodedst
	dcdiff /tmp/testinsertcodesrc.dcm /tmp/testinsertcodedst/*
	rm -f /tmp/testinsertcodesrc.dcm
	rm -rf /tmp/testinsertcodedst

testinsertrwvm:	InsertRealWorldValueMap.class
	rm -f /tmp/testinsertrwvmsrc.dcm
	dcsmpte /tmp/testinsertrwvmsrc.dcm
	rm -rf /tmp/testinsertrwvmdst
	mkdir -p /tmp/testinsertrwvmdst
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.InsertRealWorldValueMap \
			0 255 0 1 "SUVbw" "GML" \
			"g/l" "UCUM" "" "g/l" \
			/tmp/testinsertrwvmsrc.dcm \
			/tmp/testinsertrwvmdst
	dcdiff /tmp/testinsertrwvmsrc.dcm /tmp/testinsertrwvmdst/*
	dciodvfy /tmp/testinsertrwvmdst/*
	rm -f /tmp/testinsertrwvmsrc.dcm
	rm -rf /tmp/testinsertrwvmdst

testinsertrwvmwithquantity:	InsertRealWorldValueMap.class
	rm -f /tmp/testinsertrwvmsrc.dcm
	dcsmpte /tmp/testinsertrwvmsrc.dcm
	rm -rf /tmp/testinsertrwvmdst
	mkdir -p /tmp/testinsertrwvmdst
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.InsertRealWorldValueMap \
			0 255 0 1 "SUVbw" "GML" \
			"{SUVbw}g/ml" "UCUM" "" "SUVbw in g/ml" \
			CODE "(G-C1C6, SRT, Quantity)" '(126400, DCM, "Standardized Uptake Value")' \
			CODE '(G-C036, SRT, "Measurement Method")' '(126410, DCM, "SUV body weight calculation method")' \
			NUMERIC '(G-7174, SRT, "Delay time")' "60" '(s, UCUM, "s")' \
			TEXT '(121401, DCM, "Derivation")' "My funky method" \
			/tmp/testinsertrwvmsrc.dcm \
			/tmp/testinsertrwvmdst
	dcdiff /tmp/testinsertrwvmsrc.dcm /tmp/testinsertrwvmdst/*
	dciodvfy /tmp/testinsertrwvmdst/*
	rm -f /tmp/testinsertrwvmsrc.dcm
	rm -rf /tmp/testinsertrwvmdst

testmergecontext:	MergeCompositeContext.class
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContext \
			/tmp/crapq/QIBA_CT_1B \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat

testmergecontexttwo:	MergeCompositeContext.class
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContext \
			/tmp/crapq/QIBA_CT_1B/Blinded \
			/tmp/crapq/QIBA_CT_1B/Results \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat

testmergecontextsronly:	MergeCompositeContext.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx
	(find /tmp/crapq/QIBA_CT_1B/Results -name '*.sr' -exec cp '{}' /tmp/crapx/ ';')
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContext \
			/tmp/crapx \
			/tmp/crapq/QIBA_CT_1B/Blinded \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat

testmergecontextthree:	MergeCompositeContext.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx
	dcsmpte /tmp/crapx/initialcontext.dcm \
		-nodisclaimer \
		-r PatientName "MSKCC0001" \
		-r PatientID "MSKCC0001" \
		-r ClinicalTrialSubjectID "MSKCC0001" \
		-r ClinicalTrialSponsorName "QIBA" \
		-r ClinicalTrialProtocolID "QIBA_CT_1B" \
		-r ClinicalTrialProtocolName " " \
		-r ClinicalTrialSiteID "001" \
		-r ClinicalTrialSiteName " " \
		-r ClinicalTrialSubjectID "MSKCC0001" \
		-r ClinicalTrialSubjectReadingID "MSKCC0001" \
		-r StudyInstanceUID "1.3.6.1.4.1.9328.50.1.336855045631083138173485506844321353749"
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContext \
			/tmp/crapq/QIBA_CT_1B/Blinded \
			/tmp/crapq/QIBA_CT_1B/Results \
			/tmp/crapx \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat

testmergecontextselectivelydefaultpatient:	MergeCompositeContextForOneEntitySelectively.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx
	dcsmpte /tmp/crapx/initialcontext.dcm \
		-nodisclaimer \
		-r PatientName "MSKCC0001" \
		-r PatientID "MSKCC0001" \
		-r StudyDate "19710607" \
		-r SeriesNumber "36" \
		-r InstanceNumber "12243" \
		-r FrameOfReferenceUID 1.3.6.1.4.1.5962.1.3.0.36.1433088289.31557.9999
	dcsmpte /tmp/crapx/differentcontext.dcm \
		-nodisclaimer \
		-r PatientName "BLABLA" \
		-r PatientID "BLABLA" \
		-r StudyDate "19200403" \
		-r SeriesNumber "42" \
		-r InstanceNumber "873652835" \
		-r FrameOfReferenceUID 1.3.6.1.4.1.5962.1.3.0.36.1433088289.31557.8888
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContextForOneEntitySelectively \
			/tmp/crapx/initialcontext.dcm \
			/tmp/crapx/differentcontext.dcm \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat
	dctable -describe -k StudyInstanceUID -k SeriesInstanceUID -k FrameOfReferenceUID -k SOPInstanceUID -k PatientID -k PatientName -k SeriesNumber -k InstanceNumber
	@xargs -L1 -I% </tmp/crapd_filelist.dat dctable -k StudyInstanceUID -k SeriesInstanceUID -k FrameOfReferenceUID -k SOPInstanceUID -k PatientID -k PatientName -k SeriesNumber -k InstanceNumber "%"

testmergecontextselectivelypatientstudy:	MergeCompositeContextForOneEntitySelectively.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx
	dcsmpte /tmp/crapx/initialcontext.dcm \
		-nodisclaimer \
		-r PatientName "MSKCC0001" \
		-r PatientID "MSKCC0001" \
		-r StudyDate "19710607" \
		-r SeriesNumber "36" \
		-r InstanceNumber "12243" \
		-r FrameOfReferenceUID 1.3.6.1.4.1.5962.1.3.0.36.1433088289.31557.9999
	dcsmpte /tmp/crapx/differentcontext.dcm \
		-nodisclaimer \
		-r PatientName "BLABLA" \
		-r PatientID "BLABLA" \
		-r StudyDate "19200403" \
		-r SeriesNumber "42" \
		-r InstanceNumber "873652835" \
		-r FrameOfReferenceUID 1.3.6.1.4.1.5962.1.3.0.36.1433088289.31557.8888
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContextForOneEntitySelectively \
			-patient -study \
			/tmp/crapx/initialcontext.dcm \
			/tmp/crapx/differentcontext.dcm \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat
	dctable -describe -k StudyInstanceUID -k SeriesInstanceUID -k FrameOfReferenceUID -k SOPInstanceUID -k PatientID -k PatientName -k SeriesNumber -k InstanceNumber
	@xargs -L1 -I% </tmp/crapd_filelist.dat dctable -k StudyInstanceUID -k SeriesInstanceUID -k FrameOfReferenceUID -k SOPInstanceUID -k PatientID -k PatientName -k SeriesNumber -k InstanceNumber "%"

testmergecontextselectivelypatientstudyseriesfor:	MergeCompositeContextForOneEntitySelectively.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx

=== com/pixelmed/database/Makefile ===
PATHTOROOT = ../../..

OBJS = \
DatabaseApplicationProperties.class \
DatabaseInformationModel.class \
DatabaseMediaImporter.class \
DatabaseTreeModel.class \
DatabaseTreeBrowser.class \
DatabaseTreeRecord.class \
DateTimeRangeMatch.class \
DeleteFromDatabase.class \
DicomDatabaseInformationModel.class \
DicomDatabaseQueryResponseGenerator.class \
DicomDatabaseQueryResponseGeneratorFactory.class \
DicomDatabaseRetrieveResponseGenerator.class \
DicomDatabaseRetrieveResponseGeneratorFactory.class \
DicomDictionaryForMinimalPatientStudySeriesInstanceModel.class \
DicomDictionaryForPatientStudySeriesConcatenationInstanceModel.class \
DicomDictionaryForStudySeriesInstanceModel.class \
MinimalPatientStudySeriesInstanceModel.class \
PatientStudySeriesConcatenationInstanceModel.class \
MapTableBrowser.class \
MapTableModel.class \
RebuildDatabaseFromInstanceFiles.class \
StudySeriesInstanceModel.class \
StudySeriesInstanceSelectiveMatchModel.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/database.`date '+%Y%m%d'`.tar.gz

test.empty:
	rm -f test.*
	java -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.PatientStudySeriesConcatenationInstanceModel

test.existing:
	java -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.PatientStudySeriesConcatenationInstanceModel

test.addjpeg2000:
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.PatientStudySeriesConcatenationInstanceModel \
		${PATHTOROOT}/../../dctool.support/images/dicom/forjpeg2000/discimg/[A-Z][A-Z][0-9]

test.addnemamfmr:
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.PatientStudySeriesConcatenationInstanceModel \
		${PATHTOROOT}/../../nemamfmr/DISCIMG/IMAGES/*

test.datetime:	DateTimeRangeMatch.class
	java -cp ${PATHTOROOT} com.pixelmed.database.DateTimeRangeMatch

rebuilddatabase:	RebuildDatabaseFromInstanceFiles.class
	rm -f ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.database.*
	java -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.RebuildDatabaseFromInstanceFiles \
		PatientStudySeriesConcatenationInstanceModel \
		${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.database \
		${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images

testdeletepatient:	DeleteFromDatabase.class RebuildDatabaseFromInstanceFiles.class
	rm -rf /tmp/testdeletepatient
	mkdir -p /tmp/testdeletepatient/images
	mkdir -p /tmp/testdeletepatient/database
	dcsmpte -r PatientID REMOVEME /tmp/testdeletepatient/images/crap.dcm
	java -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.RebuildDatabaseFromInstanceFiles \
		PatientStudySeriesConcatenationInstanceModel \
		/tmp/testdeletepatient/database \
		/tmp/testdeletepatient/images
	java -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.DeleteFromDatabase \
		PatientStudySeriesConcatenationInstanceModel \
		/tmp/testdeletepatient/database \
		PATIENT REMOVEME
	ls -l /tmp/testdeletepatient/images
	# try it again ... should do nothing ...
	java -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.DeleteFromDatabase \
		PatientStudySeriesConcatenationInstanceModel \
		/tmp/testdeletepatient/database \
		PATIENT REMOVEME

testdeletestudy:	DeleteFromDatabase.class RebuildDatabaseFromInstanceFiles.class
	rm -rf /tmp/testdeletestudy
	mkdir -p /tmp/testdeletestudy/images
	mkdir -p /tmp/testdeletestudy/database
	dcsmpte -r PatientID REMOVEME /tmp/testdeletestudy/images/crap.dcm
	java -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.RebuildDatabaseFromInstanceFiles \
		PatientStudySeriesConcatenationInstanceModel \
		/tmp/testdeletestudy/database \
		/tmp/testdeletestudy/images
	studyinstanceuid=`dckey -k StudyInstanceUID /tmp/testdeletestudy/images/crap.dcm 2>&1`; \
	java -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.DeleteFromDatabase \
		PatientStudySeriesConcatenationInstanceModel \
		/tmp/testdeletestudy/database \
		STUDY $${studyinstanceuid}
	ls -l /tmp/testdeletestudy/images
	# try it again ... should do nothing ...
	java -Xmx512m -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} \
		com.pixelmed.database.DeleteFromDatabase \
		PatientStudySeriesConcatenationInstanceModel \
		/tmp/testdeletestudy/database \
		STUDY $${studyinstanceuid}

=== com/pixelmed/display/Makefile ===
PATHTOROOT = ../../..

OBJS =	TestApp.class \
	TestAppMultiFile.class \
	TestAppMultiFrame.class \
	TestAppMultiFrameStackMode.class \
	TestAppMultiFrameCompare.class \
	DicomBrowser.class \
	ApplicationFrame.class \
	SingleImagePanel.class \
	SingleImagePanelWithRegionDetection.class \
	SingleImagePanelWithRegionDrawing.class \
	SingleImagePanelWithLineDrawing.class \
	SourceImage.class \
	SourceImageSubset.class \
	SourceImageSortOrderPanel.class \
	SourceImageVOILUTSelectorPanel.class \
	SourceImageWindowLinearCalculationSelectorPanel.class \
	SourceImageWindowingAccelerationSelectorPanel.class \
	SourceInstanceSortOrderPanel.class \
	SourceSpectra.class \
	SourceSpectrumSortOrderPanel.class \
	SpectraPanel.class \
	DisplayDicomDirectoryBrowser.class \
	DisplayStructuredReportBrowser.class \
	TextAnnotation.class \
	TextAnnotationPositioned.class \
	DicomImageViewer.class \
	PlotGraph.class \
	StatusBarManager.class \
	WindowCenterAndWidth.class \
	DemographicAndTechniqueAnnotations.class \
	OrientationAnnotations.class \
	ConsumerFormatImageMaker.class \
	BufferedImageUtilities.class \
	LocalizerManager.class \
	ImageLocalizerManager.class \
	SpectroscopyLocalizerManager.class \
	MammoImageViewer.class \
	MammoDemographicAndTechniqueAnnotations.class \
	ChestImageViewer.class \
	DisplayDeviceArea.class \
	DisplayedAreaSelection.class \
	ImageEditUtilities.class \
	DicomImageBlackout.class \
	DescribeGraphicsEnvironment.class \
	DialogMessageLogger.class \
	DrawingUtilities.class \
	DicomCleaner.class \
	IconListBrowser.class \
	IconDemographicAndTechniqueAnnotations.class \
	SourceImageShutterSelectorPanel.class \
	SuperimposedImage.class \
	SuperimposedDicomImage.class \
	SuperimposedDicomSegments.class \
	SafeFileChooser.class \
	SafeProgressBarUpdaterThread.class \
	SafeCursorChanger.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

# override javac command in Makefile.common.mk to add codec to classpath, until folded into main trunk :(
.java.class:
	export JAVAVERSIONTARGETJARFILE=`/usr/libexec/java_home -v 1.7 | tail -1`/jre/lib/rt.jar; javac ${JAVACOPTIONS} \
		-classpath ${PATHTOROOT}:${DISPLAYADDITIONALJARS}:${PIXELMEDIMAGEIOJAR} \
		-sourcepath ${PATHTOROOT} $<

TEST_512_16DCM = ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/MR1
TEST_512_16RAW = /tmp/crap.512.16.raw
TEST_512_16JPG = /tmp/crap.512.16.jpg
TEST_512_16BMP = /tmp/crap.512.16.bmp
TEST_512_16J2K = /tmp/crap.512.16.j2k
TEST_512_16GIF = /tmp/crap.512.16.gif
TEST_512_16PNG = /tmp/crap.512.16.png
TEST_512_16TIF = /tmp/crap.512.16.tif
TEST_512_16PNM = /tmp/crap.512.16.pnm

TEST_BIG_16DCM = ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/MG1
TEST_BIG_16RAW = /tmp/crap.big.16.raw

TEST_512_8DCM = /tmp/crap.512.8.dcm
TEST_512_8RAW = /tmp/crap.512.8.raw
TEST_512_8JPG = /tmp/crap.512.8.jpg

TEST_RGB_DCM = /tmp/crap.rgb.dcm
TEST_RGB_JPG = /tmp/crap.rgb.jpg

clean:
	rm -f *~ *.class core *.bak \
		${TEST_512_8DCM} \
		${TEST_512_16RAW} ${TEST_BIG_16RAW} ${TEST_512_8RAW} \
		${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr \
		${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/display.`date '+%Y%m%d'`.tar.gz

test_512_8d1:	TestApp.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8DCM} 1 1

test_512_8d:	TestApp.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8DCM} 4 2

test_512_8r1:	TestApp.class ${TEST_512_8RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8RAW} 512 512 8 1 1

test_512_8r:	TestApp.class ${TEST_512_8RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8RAW} 512 512 8 2 6

${TEST_512_8DCM}:
	dcsmpte > $@

${TEST_512_8RAW}:	${TEST_512_8DCM}
	dctoraw $? $@

test_512_16d1:	TestApp.class ${TEST_512_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16DCM} 1 1

test_512_16d:	TestApp.class ${TEST_512_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16DCM} 2 6

test_512_16:	TestApp.class ${TEST_512_16RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16RAW} 512 512 16 2 6

${TEST_512_16RAW}:	${TEST_512_16DCM}
	dctoraw $? $@

test_big_16d:	TestApp.class ${TEST_BIG_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_BIG_16DCM} 1 1

test_big_16:	TestApp.class ${TEST_BIG_16RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_BIG_16RAW} 3064 4664 16 1 1

${TEST_BIG_16RAW}:	${TEST_BIG_16DCM}
	dctoraw $? $@

test_512_8_single:	SingleImagePanel.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.SingleImagePanel ${TEST_512_8DCM}


testbrowser:	DicomBrowser.class
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser

testdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/DICOMDIR

testcddir:	DicomBrowser.class \
				/mnt/cdrom/dicomdir
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser /mnt/cdrom/dicomdir

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm:	${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.source
	ancreate < $< > $@.tmp
	dccp $@.tmp $@ -stamp 9999
	rm -f $@.tmp

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr:
	dcsmpte > $@ -r PatientName "Homer^Jane^^^" -r PatientID 234567 \
		-r StudyID 345678 -r StudyDate 19991029 \
		-r StudyTime 154500 -r SeriesNumber 2 -r InstanceNumber 1 \
		-r StudyInstanceUID 1.2.3.4.5.6.7.100 \
		-r SeriesInstanceUID 1.2.3.4.5.6.7.400 \
		-r SOPInstanceUID 1.3.6.1.4.1.5962.1.1.17998.2.1.1001278501.11736.8323328 \
		-r AccessionNumber 123456 \
		-stamp 9999

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR:	\
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr
	(cd ${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests; dcdirmk -novalidatename testscoord.dcm imgforsr >DICOMDIR)

testsrdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR

testosdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work/DICOMDIR

testos2dir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work2/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work2/DICOMDIR

#${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties:	${PATHTOROOT}/our.com.pixelmed.display.DicomImageViewer.properties
#	cp ${PATHTOROOT}/our.com.pixelmed.display.DicomImageViewer.properties ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties

testnemamfmr:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOROOT}/../../nemamfmr/DISCIMG/DICOMDIR

testnemamfmr.clean:
	rm -rf ${PATHTOHOME}/.com.pixelmed.display.*

testnemamfct:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -Xms512m -Xmx1024m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOROOT}/../../nemamfct/DISCIMG/DICOMDIR

testnemamfct.clean:
	rm -rf ${PATHTOHOME}/.com.pixelmed.display.*

testplotgraph:
	rm -f ~/snap*.jpg; for i in 0 1 2 3 4 5 6 7; do echo "frame $$i"; java -classpath ${PATHTOROOT} com.pixelmed.display.PlotGraph ~/work/nemamfmr/srcimages/ucsfspectra/spectra/spectra/t2256_cor_sum.cmplx 512 12 12 $$i; mv ~/snap*.jpg frame_$$i.jpg; done

testspectrum.dcm:	Makefile
	rm -f /tmp/crap.empty
	touch /tmp/crap.empty
	${PATHTODCTOOLS}/appsrc/dcfile/dccp /tmp/crap.empty testspectrum.dcm \
		-r NumberOfFrames 8 -r Rows 12 -r Columns 12 -r DataPointRows 1 -r DataPointColumns 512 \
		-r DataRepresentation COMPLEX -r SignalDomainColumns FREQUENCY \
		-r PatientID 1234 -r StudyID 1234 -r SeriesNumber 1 -r InstanceNumber 1 \
		-r Modality MR -r SOPClassUID "1.2.840.10008.5.1.4.1.1.4.2" \
		-nodisclaimer -output-vr explicit -output-endian big
	echo "(0x5600,0x0020) OF Spectroscopy Data VR=<OF> VL=<0x480000> []" | ${PATHTODCTOOLS}/appsrc/acrnema/ancreate -e -b >> testspectrum.dcm
	cat ${PATHTOROOT}/../../nemamfmr/srcimages/ucsfspectra/spectra/spectra/t2256_cor_sum.cmplx >> testspectrum.dcm
	rm /tmp/crap.empty
	
testviewer:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	if [ ! -L .com.pixelmed.display.DicomImageViewer.images ]; then mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images; fi
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR} \
		com.pixelmed.display.DicomImageViewer

testviewerlimitedmemory:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	if [ ! -L .com.pixelmed.display.DicomImageViewer.images ]; then mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images; fi
	java -Xms128m -Xmx128m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR} \
		com.pixelmed.display.DicomImageViewer

testviewerquaqua:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	if [ ! -L .com.pixelmed.display.DicomImageViewer.images ]; then mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images; fi
	java -Xms512m -Xmx512m -Dswing.defaultlaf=ch.randelshofer.quaqua.QuaquaLookAndFeel -Djava.library.path=${PATHTOADDITIONAL} -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR}:${PATHTOADDITIONAL}/quaqua.jar  \
		com.pixelmed.display.DicomImageViewer

testnemamfmrspectrum:	DicomImageViewer.class testspectrum.dcm #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR}  \
		com.pixelmed.display.DicomImageViewer testspectrum.dcm

testcharsets:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOHOME}/Pictures/Medical/charsettests/DICOMDIR

testnema97:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOHOME}/Pictures/Medical/NEMA97CD/DICOMDIR

testviewerontestimages:	
	(for i in `cat ${PATHTOROOT}/${PATHTODCTOOLSUPPORTFROMROOT}/images/dicom/testlist`; do echo "$$i"; java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR} com.pixelmed.display.DicomImageViewer "${PATHTOROOT}/${PATHTODCTOOLSUPPORTFROMROOT}/images/dicom/$$i"; done)

testsingleimagepanelontestimages:

=== com/pixelmed/doseocr/Makefile ===
PATHTOROOT = ../../..

OBJS = \
OCR.class \
TestOCRAgainstTabulatedData.class \
ExposureDoseSequence.class \
RenderedDoseReport.class \
GenerateRadiationDoseStructuredReport.class \
LegacyRadiationDoseOCRDicomForwardingService.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

clean:
	rm -f *~ *.class core *.bak ${OBJS}
	
testocrtrain:	${OBJS}
	cp OCR_Glyphs_DoseScreen.xml /tmp/testocr_all.xml
	for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/*.tif; \
	do \
		echo $$i; \
		java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR $$i -  - /tmp/testocr_all.xml /tmp/testocr_all.xml; \
	done
	@echo "New glyph dictionary source is in /tmp/testocr_all.xml"

testocr:	${OBJS}
	for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/*.tif; \
	do \
		echo $$i; \
		java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR $$i - - - - 1; \
	done

testocronepgm:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_discoveryste_screen_original.pgm - - - - 1

testocronedcm:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_discoveryste_screen_original.dcm - - - - 1

testocronedcmunspecifiedglyphfile:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_discoveryste_screen_original.dcm \
		- - \
		-

testocronedcmudebuglevel:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_discoveryste_screen_original.dcm \
		- - \
		- - 1

testocronedcmwindow1:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_lightspeedvct_amc16bitsignedtoonarrowwindow.dcm \
		- - \
		- - 0

testocronedcmwindow2:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/IOImages/cdsWithBothDoseImageAndSR/CD0817141621_Cleaned/DICOM/I619 \
		- - \
		- - 0
		
testocronedcmwindow3:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/1.2.124.113532.10.8.8.91.20080701.165343.367049 \
		- - \
		- - 0
		
testocronedcmglyphfile:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_discoveryste_screen_original.dcm \
		- - \
		OCR_Glyphs_DoseScreen.xml

testocronedcmtrainglyphfile:	${OBJS}
	cp OCR_Glyphs_DoseScreen.xml /tmp/testocr_all.xml
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_discoveryste_screen_original.dcm \
		- - \
		/tmp/testocr_all.xml /tmp/testocr_all.xml
	@echo "New glyph dictionary source is in /tmp/testocr_all.xml"

testocronedcmallargshyphen:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_discoveryste_screen_original.dcm \
		- - - -

testocronedcmsroutput:	${OBJS}
	@rm -f /tmp/dosesrfile.dcm
	@echo "Building ..."
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_discoveryste_screen_original.dcm \
		- \
		/tmp/dosesrfile.dcm
	@echo "Dumping ..."
	dcsrdump -identifier /tmp/dosesrfile.dcm
	@echo "Validating structure ..."
	java -Xmx512m -Xss4m -cp ${PATHTOROOT} -Djava.awt.headless=true com.pixelmed.validate.DicomSRValidator /tmp/dosesrfile.dcm
	@echo "Validating DICOM encoding ..."
	dciodvfy /tmp/dosesrfile.dcm

testocralltif:	${OBJS}
	for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ctdosereportoriginals_allinonefolder/*.tif; \
	do \
		echo $$i; \
		java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR $$i ; \
	done

testocralldcm:	${OBJS}
	for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ctdosereportoriginals_allinonefolder/*dcm ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series999FilesCopied/[0-9]* ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series501FilesCopied/[0-9]*; \
	do \
		echo $$i; \
		java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR $$i ; \
	done

testocralldcmsr_create:	${OBJS}
	mkdir -p ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/srcomparefiles
	#for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ctdosereportoriginals_allinonefolder/*dcm ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series999FilesCopied/[0-9]* ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series501FilesCopied/[0-9]*;
	for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ctdosereportoriginals_allinonefolder/*dcm ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series501FilesCopied/[0-9]*; \
	do \
		echo $$i; \
		srcomparebasename=`dckey -noerror -ignorereaderrors -k SOPInstanceUID $$i 2>&1 | egrep -iv '(error|warning)'`.sr; \
		java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR $$i - ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/srcomparefiles/$$srcomparebasename; \
	done

testocralldcmsr:	${OBJS}
	#for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ctdosereportoriginals_allinonefolder/*dcm ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series999FilesCopied/[0-9]* ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series501FilesCopied/[0-9]*;
	for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ctdosereportoriginals_allinonefolder/*dcm ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series501FilesCopied/[0-9]*; \
	do \
		echo $$i; \
		srcomparebasename=`dckey -noerror -ignorereaderrors -k SOPInstanceUID $$i 2>&1 | egrep -iv '(error|warning)'`.sr; \
		java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR $$i - /tmp/dosesrfile.dcm; \
		echo "Comparing SR file"; \
		dcsrdiff ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/srcomparefiles/$$srcomparebasename /tmp/dosesrfile.dcm; \
		dckey -describe -k TimezoneOffsetFromUTC $$i; \
		dckey -describe -k TimezoneOffsetFromUTC /tmp/dosesrfile.dcm; \
		rm -f /tmp/dosesrfile.dcm; \
	done

testocralldcmsrwithvalidation:	${OBJS}
	#for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ctdosereportoriginals_allinonefolder/*dcm ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series999FilesCopied/[0-9]* ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series501FilesCopied/[0-9]*;
	for i in ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ctdosereportoriginals_allinonefolder/*dcm ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseFilesCopied/series501FilesCopied/[0-9]*; \
	do \
		echo $$i; \
		srcomparebasename=`dckey -noerror -ignorereaderrors -k SOPInstanceUID $$i 2>&1 | egrep -iv '(error|warning)'`.sr; \
		java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR $$i - /tmp/dosesrfile.dcm; \
		echo "Comparing SR file"; \
		dcsrdiff ${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/srcomparefiles/$$srcomparebasename /tmp/dosesrfile.dcm; \
		echo "Validating structure ..."; \
		java -Xmx512m -Xss4m -cp ${PATHTOROOT} -Djava.awt.headless=true com.pixelmed.validate.DicomSRValidator /tmp/dosesrfile.dcm; \
		echo "Validating DICOM encoding ..."; \
		dciodvfy /tmp/dosesrfile.dcm; \
		rm -f /tmp/dosesrfile.dcm; \
	done

testocrdifferentfont:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_lightspeedplus_differentfont_screen_original.pgm \
		- - \
		- /tmp/testocr_all.xml
	@echo "New glyph dictionary source is in /tmp/testocr_all.xml"
	
testocryetanotherdifferentfont:	${OBJS}
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImages/ge_lightspeed16_yetanotherdifferentfont_screen.dcm \
		- - \
		- /tmp/testocr_all.xml
	@echo "New glyph dictionary source is in /tmp/testocr_all.xml"

testocracquiredimages:	${OBJS}
	@echo "Building ..."
	@rm -f /tmp/dosesrfile.dcm
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImagesCDImageAcquiredImagesAndSeries999/A/A/A/K/Z04 \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImagesCDImageAcquiredImagesAndSeries999/DICOMDIR \
		/tmp/dosesrfile.dcm
	@echo "Dumping ..."
	dcsrdump -identifier /tmp/dosesrfile.dcm
	@echo "Validating structure ..."
	java -Xmx512m -Xss4m -cp ${PATHTOROOT} -Djava.awt.headless=true com.pixelmed.validate.DicomSRValidator /tmp/dosesrfile.dcm
	@echo "Validating DICOM encoding ..."
	dciodvfy /tmp/dosesrfile.dcm

testocracquiredimagesfindscreen:	${OBJS}
	@echo "Doing testocracquiredimagesfindscreen ..."
	@echo "Building ..."
	@rm -f /tmp/dosesrfile.dcm
	java -Xmx512m -Xss4m -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar -Djava.awt.headless=true com.pixelmed.doseocr.OCR \
		- \
		${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/DoseImagesCDImageAcquiredImagesAndSeries999/DICOMDIR \
		/tmp/dosesrfile.dcm >/tmp/dosesrfile.dcm.build.log 2>&1
	@if [ -f ${PATHTOROOT}/${PATHTOTESTRESULTSFROMROOT}/testocracquiredimagesfindscreen/dosesrfile.dcm.build.log ] ; \
	then \
		echo "Comparing build log  ..."; \
		diff -a ${PATHTOROOT}/${PATHTOTESTRESULTSFROMROOT}/testocracquiredimagesfindscreen/dosesrfile.dcm.build.log /tmp/dosesrfile.dcm.build.log; \
	fi
	@echo "Dumping ..."
	dcsrdump -identifier /tmp/dosesrfile.dcm >/tmp/dosesrfile.dcm.dcsrdump.log 2>&1
	@if [ -f ${PATHTOROOT}/${PATHTOTESTRESULTSFROMROOT}/testocracquiredimagesfindscreen/dosesrfile.dcm.dcsrdump.log ] ; \
	then \
		echo "Comparing dcsrdump log without content item identifiers ..."; \
		sed -e 's/>[0-9.]*: //' <${PATHTOROOT}/${PATHTOTESTRESULTSFROMROOT}/testocracquiredimagesfindscreen/dosesrfile.dcm.dcsrdump.log >/tmp/dosesrfile.dcm.dcsrdump.log_withoutidentifiers_old; \
		sed -e 's/>[0-9.]*: //' </tmp/dosesrfile.dcm.dcsrdump.log >/tmp/dosesrfile.dcm.dcsrdump.log_withoutidentifiers_new; \
		diff -a /tmp/dosesrfile.dcm.dcsrdump.log_withoutidentifiers_old /tmp/dosesrfile.dcm.dcsrdump.log_withoutidentifiers_new; \
		echo "Comparing dcsrdump log with content item identifiers ..."; \
		diff -a ${PATHTOROOT}/${PATHTOTESTRESULTSFROMROOT}/testocracquiredimagesfindscreen/dosesrfile.dcm.dcsrdump.log /tmp/dosesrfile.dcm.dcsrdump.log; \
	fi
	@echo "Validating structure ..."
	java -Xmx512m -Xss4m -cp ${PATHTOROOT} -Djava.awt.headless=true com.pixelmed.validate.DicomSRValidator /tmp/dosesrfile.dcm >/tmp/dosesrfile.dcm.DicomSRValidator.log 2>&1
	@if [ -f ${PATHTOROOT}/${PATHTOTESTRESULTSFROMROOT}/testocracquiredimagesfindscreen/dosesrfile.dcm.DicomSRValidator.log ] ; \

=== com/pixelmed/network/Makefile ===
PATHTOROOT = ../../..

OBJS = \
AAbortPDU.class \
AnyExplicitTransferSyntaxSelectionPolicy.class \
AnyExplicitStorePresentationContextSelectionPolicy.class \
AnyExplicitStoreFindMoveGetPresentationContextSelectionPolicy.class \
ApplicationEntity.class \
ApplicationEntityConfigurationDialog.class \
ApplicationEntityMap.class \
AReleaseException.class \
AReleasePDU.class \
AssociateRejectPDU.class \
AssociateAcceptPDU.class \
AssociateRequestPDU.class \
AssociateRequestAcceptPDU.class \
Association.class \
AssociationAcceptor.class \
AssociationInitiator.class \
AssociationFactory.class \
AssociationOutputStream.class \
AssociationStatusHandler.class \
CEchoRequestCommandMessage.class \
CEchoResponseCommandMessage.class \
CFindRequestCommandMessage.class \
CFindResponseCommandMessage.class \
CGetRequestCommandMessage.class \
CGetResponseCommandMessage.class \
CMoveRequestCommandMessage.class \
CMoveResponseCommandMessage.class \
CommandMessage.class \
CompositeInstanceStoreAbstractSyntaxSelectionPolicy.class \
CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy.class \
CompositeResponseHandler.class \
CStoreRequestCommandMessage.class \
CStoreResponseCommandMessage.class \
DicomNetworkException.class \
FindSOPClassSCU.class \
GetSOPClassSCU.class \
IdentifierHandler.class \
IdentifierMessage.class \
MessageServiceElementCommand.class \
MoveSOPClassSCU.class \
MultipleInstanceTransferStatusHandler.class \
MultipleInstanceTransferStatusHandlerWithFileName.class \
NetworkApplicationConfigurationDialog.class \
NetworkApplicationInformation.class \
NetworkApplicationInformationFederated.class \
NetworkApplicationProperties.class \
NetworkConfigurationFromLDAP.class \
NetworkConfigurationFromMulticastDNS.class \
NetworkConfigurationSource.class \
NetworkDefaultValues.class \
NetworkMediaImporter.class \
PDataPDU.class \
PresentationAddress.class \
PresentationContext.class \
PresentationContextListFactory.class \
PresentationDataValue.class \
ProbeCapability.class \
ReceivedDataHandler.class \
ReceivedFilePathStrategy.class \
ReceivedObjectHandler.class \
RequestCommandMessage.class \
ResponseStatus.class \
SCUSCPRoleSelection.class \
StorageSOPClassSCP.class \
StorageSOPClassSCPDispatcher.class \
StorageSOPClassSCU.class \
StorageSOPClassSCUPerformanceTest.class \
TestSendingCommandAndDataInOnePDU.class \
TransferSyntaxSelectionPolicy.class \
UnencapsulatedExplicitTransferSyntaxSelectionPolicy.class \
UnencapsulatedExplicitStorePresentationContextSelectionPolicy.class \
UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy.class \
VerificationSOPClassSCU.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../network.`date '+%Y%m%d'`.tar.gz

testprobe:	ProbeCapability.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ProbeCapability localhost 4006 HELGRAY US 0
	java -cp ${PATHTOROOT} com.pixelmed.network.ProbeCapability localhost HELGRAY US 0

testconfig:	NetworkConfigurationFromLDAP.class ApplicationEntity.class
	java -cp ${PATHTOROOT} com.pixelmed.network.NetworkConfigurationFromLDAP

testproperties:	NetworkApplicationProperties.class
	java -cp ${PATHTOROOT} com.pixelmed.network.NetworkApplicationProperties ../server/testserver.properties "o=pixelmed,c=us"

testconfigmdns:	NetworkConfigurationFromLDAP.class ApplicationEntity.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.NetworkConfigurationFromMulticastDNS HELGRAY 4006 WSD

testscuperf: StorageSOPClassSCUPerformanceTest.class
	dcsmpte -rows 512 -columns 512 -bits 12 /tmp/testscuperf
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 100 10 0 0 0 /tmp/testscuperf
	rm /tmp/testscuperf

testscuperfactual: StorageSOPClassSCUPerformanceTest.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 1 1 0 0 0 /Volumes/Samsung_T1/112648/Blinded

testscuperfactualtopixelmed: StorageSOPClassSCUPerformanceTest.class
	rm -f /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr
	rm -rf /Volumes/Samsung_T1/tmp/crap
	mkdir -p /Volumes/Samsung_T1/tmp/crap
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4007 LOCAL4007 /Volumes/Samsung_T1/tmp/crap 0
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 1 1 0 0 0 /Volumes/Samsung_T1/112648/Blinded
	@kill -9 `cat /tmp/testpixelmedsendtopixelmed.pid`
	#rm /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr

testscuperfdiscardtopixelmed: StorageSOPClassSCUPerformanceTest.class
	rm -f /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4007 LOCAL4007 - 0
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 1 1 0 0 0 /Volumes/Samsung_T1/112648/Blinded
	@kill -9 `cat /tmp/testpixelmedsendtopixelmed.pid`
	#rm /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr

testimporter:	NetworkMediaImporter.class
	mkdir -p /tmp/testimport
	dcsmpte /tmp/testimport/crap
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/commons-codec-1.3.jar:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkMediaImporter \
		localhost 4006 HELGRAY IMPORTER /tmp/testimport
	rm -rf /tmp/testimport

testaedialog:	ApplicationEntityConfigurationDialog.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/commons-codec-1.3.jar:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.ApplicationEntityConfigurationDialog

testconfigurator:	NetworkApplicationConfigurationDialog.class
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/commons-codec-1.3.jar:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties

testreceivedfilestrategysingle:	ReceivedFilePathStrategySingleFolder.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ReceivedFilePathStrategySingleFolder

testreceivedfilestrategycomponent:	ReceivedFilePathStrategyComponentFolders.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ReceivedFilePathStrategyComponentFolders

testreceivedfilestrategyhash:	ReceivedFilePathStrategyHashSubFolders.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ReceivedFilePathStrategyHashSubFolders

testreceivedfilestrategy:	\
	testreceivedfilestrategysingle \
	testreceivedfilestrategycomponent \
	testreceivedfilestrategyhash

testpixelmedsendtopixelmed:
	@rm -rf /tmp/testpixelmedsendtopixelmed.receivedfiles
	@mkdir -p /tmp/testpixelmedsendtopixelmed.receivedfiles
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4006 STORESCP /tmp/testpixelmedsendtopixelmed.receivedfiles INSECURE 0
	@#echo "PID of com.pixelmed.network.StorageSOPClassSCPDispatcher is "`cat /tmp/testpixelmedsendtopixelmed.pid`
	dcsmpte -nodisclaimer -r PatientName testpixelmedsendtopixelmed.1 /tmp/testpixelmedsendtopixelmed.1.dcm
	java -cp ${PATHTOROOT} com.pixelmed.network.StorageSOPClassSCU localhost 4006 STORESCP US /tmp/testpixelmedsendtopixelmed.1.dcm 0 0
	@echo "Comparing sent and received files - expect no difference except meta header"
	@receivedfilename=`grep 'sendReceivedObjectIndication() fileName' /tmp/testpixelmedsendtopixelmed.stderr | tail -1 | sed -e 's/^.*fileName: //' -e 's/ from .*$$//'`; \
		andiff /tmp/testpixelmedsendtopixelmed.1.dcm "$${receivedfilename}"; \
		dccmp /tmp/testpixelmedsendtopixelmed.1.dcm "$${receivedfilename}"
	@echo "Comparison done"
	@kill -9 `cat /tmp/testpixelmedsendtopixelmed.pid`
	@rm -rf /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		/tmp/testpixelmedsendtopixelmed.receivedfiles \
		/tmp/testpixelmedsendtopixelmed.1.dcm

testpixelmedsendmultitopixelmed:
	@rm -rf /tmp/testpixelmedsendtopixelmed.receivedfiles
	@mkdir -p /tmp/testpixelmedsendtopixelmed.receivedfiles
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4006 STORESCP /tmp/testpixelmedsendtopixelmed.receivedfiles INSECURE 0
	@#echo "PID of com.pixelmed.network.StorageSOPClassSCPDispatcher is "`cat /tmp/testpixelmedsendtopixelmed.pid`
	dcsmpte -nodisclaimer -r PatientName testpixelmedsendtopixelmed.1 /tmp/testpixelmedsendtopixelmed.1.dcm
	dcsmpte -nodisclaimer -r PatientName testpixelmedsendtopixelmed.2 /tmp/testpixelmedsendtopixelmed.2.dcm
	@echo "/tmp/testpixelmedsendtopixelmed.1.dcm" >/tmp/testpixelmedsendtopixelmed.filelist
	@echo "/tmp/testpixelmedsendtopixelmed.2.dcm" >>/tmp/testpixelmedsendtopixelmed.filelist
	java -cp ${PATHTOROOT} com.pixelmed.network.StorageSOPClassSCU localhost 4006 STORESCP US - 0 0 </tmp/testpixelmedsendtopixelmed.filelist
	#ls -l /tmp/testpixelmedsendtopixelmed.receivedfiles
	#cat /tmp/testpixelmedsendtopixelmed.stderr
	@echo "Comparing sent and received 1st files - expect no difference except meta header"
	@receivedfilename=`grep 'sendReceivedObjectIndication() fileName' /tmp/testpixelmedsendtopixelmed.stderr | tail -1 | sed -e 's/^.*fileName: //' -e 's/ from .*$$//'`; \
		andiff /tmp/testpixelmedsendtopixelmed.1.dcm "$${receivedfilename}"; \
		dccmp /tmp/testpixelmedsendtopixelmed.1.dcm "$${receivedfilename}"
	@echo "Comparison done"
	@echo "Comparing sent and received 2nd files - expect no difference except meta header"
	@receivedfilename=`grep 'sendReceivedObjectIndication() fileName' /tmp/testpixelmedsendtopixelmed.stderr | head -1 | sed -e 's/^.*fileName: //' -e 's/ from .*$$//'`; \
		andiff /tmp/testpixelmedsendtopixelmed.2.dcm "$${receivedfilename}"; \
		dccmp /tmp/testpixelmedsendtopixelmed.2.dcm "$${receivedfilename}"
	@echo "Comparison done"
	@kill -9 `cat /tmp/testpixelmedsendtopixelmed.pid`
	@rm -rf /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		/tmp/testpixelmedsendtopixelmed.receivedfiles \
		/tmp/testpixelmedsendtopixelmed.1.dcm \
		/tmp/testpixelmedsendtopixelmed.2.dcm \
		/tmp/testpixelmedsendtopixelmed.filelist

testpixelmedsendmanytopixelmed:
	@rm -rf /tmp/testpixelmedsendtopixelmed.receivedfiles
	@mkdir -p /tmp/testpixelmedsendtopixelmed.receivedfiles
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4006 STORESCP /tmp/testpixelmedsendtopixelmed.receivedfiles INSECURE 0
	@#echo "PID of com.pixelmed.network.StorageSOPClassSCPDispatcher is "`cat /tmp/testpixelmedsendtopixelmed.pid`
	@rm -f /tmp/testpixelmedsendtopixelmed.filelist

=== com/pixelmed/test/Makefile ===
PATHTOROOT = ../../..

OBJS = \
TestCodingScheme_AllTests.class \
TestCodingSchemeIdentification.class \
TestCommonDoseObserverContext.class \
TestCompositeInstanceContext_AllTests.class \
TestCompositeInstanceContext.class \
TestCTAcquisitionParameters.class \
TestCTDose_AllTests.class \
TestCTDose.class \
TestCTDoseAcquisition.class \
TestCTIrradiationEventDataFromImages.class \
TestCTScanType.class \
TestCTPhantomType.class \
TestDeviceParticipant.class \
TestPersonParticipant.class \
TestRecordingDeviceObserverContext.class \
TestRoleInOrganization.class \
TestRoleInProcedure.class \
TestScanRange.class \
TestScopeOfDoseAccummulation.class \
TestSourceOfDoseInformation.class \
TestSafePrivate_AllTests.class \
TestSafePrivatePhilipsPETRelated.class \
TestSafePrivatePhilipsDoseRelated.class \
TestSafePrivateGEDoseRelated.class \
TestSafePrivateGEPACSRelated.class \
TestSafePrivateGEMRRelated.class \
TestSafePrivateNQResultsRelated.class \
TestAttributeList_AllTests.class \
TestPrivateCreatorValueRepresentation.class \
TestContentItem_AllTests.class \
TestCodeContentItemValueMatching.class \
TestCharacterSet_AllTests.class \
TestCharacterSetStringAttribute.class \
TestCharacterSetTextAttribute.class \
TestCleaner_AllTests.class \
TestCleanerReceiveAndClean.class \
TestAnatomy_AllTests.class \
TestAnatomyConcept.class \
TestAnatomyCombined.class \
TestAnatomyFind.class \
TestLaterality.class \
TestGeometry_AllTests.class \
TestGeometryOfSlice.class \
TestDecimalStringAttributeLocaleEffect.class \
TestDecimalStringAttribute_AllTests.class \
TestDicomDirectory_AllTests.class \
TestDicomDirectoryRecordFactory.class \
TestDicomDirectoryRecordSortOrder.class \
TestDicomNetwork_AllTests.class \
TestCStore.class \
TestCStore_ConvertTransferSyntaxes.class \
TestFloatFormatterLocaleEffect.class \
TestFloatFormatter_AllTests.class \
TestNumericContentItemFloatingAndRational.class \
TestNumericContentItemLocaleEffect.class \
TestRemoveIdentifyingAttributes.class \
TestPatientAgeWhenRemoveIdentifyingAttributes.class \
TestRemoveIdentifyingAttributes_AllTests.class \
TestSpatialCoordinatesContentItemLocaleEffect.class \
TestSpatialCoordinates3DContentItemLocaleEffect.class \
TestSUVTransformValues.class \
TestSUVTransform_AllTests.class \
TestUnknownAttributeBinaryValueExtraction.class \
TestUnknownAttribute_AllTests.class \
TestUUIDBasedOID_AllTests.class \
TestUUIDBasedOID.class \
TestBase64_AllTests.class \
TestBase64_RoundTrip.class \
TestAgeCalculation.class \
TestDates_AllTests.class \
TestDateTimeAttribute_AllTests.class \
TestDateTimeAttributeTimeSinceEpochExtraction.class \
TestDateTimeAttributeTimeZone.class \
TestSequenceAttributeDelimitedString.class \
TestSequenceAttributeStringsWithinItems.class \
TestSequenceAttributeModifiedOriginalAttributes.class \
TestSequenceAttribute_AllTests.class \
TestStructuredReport_AllTests.class \
TestStructuredReport_XMLRepresentation.class \
TestThreadUtilitiesEventDispatchThread.class \
TestThreadUtilities_AllTests.class \
TestDatabase_AllTests.class \
TestDatabaseDateTimeConversionInsertion.class \
TestMultiFrameImageFactory_AllTests.class \
TestMultiFrameImageFactoryDateTime.class \
TestColorConversions_AllTests.class \
TestColorConversions_SRGB_CIELabPCS.class \
TestAttributeListReadTerminationStrategy.class \
TestRepairAttributeValues_AllTests.class \
TestRepairAttributeValues.class \
TestCodedSequenceItem_AllTests.class \
TestCodedSequenceItemParseStringTuple.class \
TestPackBits_AllTests.class \
TestPackBits_UnPack.class \
TestCapabilitiesAbsent_AllTests.class \
TestCapabilitiesPresent_AllTests.class \
TestCapabilitiesCodecsAbsent.class \
TestCapabilitiesCodecsPresent.class \
TestDicomStreamCopier_AllTests.class \
TestDicomStreamCopier_ConvertTransferSyntaxes.class \
TestDecompressedImagePixelModuleAndLossyImageCompressionHistory.class \
TestUnknownSequenceValueRepresentation.class \
TestBinaryAttribute_AllTests.class \
TestBinaryAttributeBinaryInputOutput.class \
UserInterfaceUtilities.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../test.`date '+%Y%m%d'`.tar.gz

clean:
	rm -f *~ *.class core *.bak ${OBJS} testcleanerfile.dcm

alltests:	testbinaryattr testdicomstreamcopier testcolorconv testsr testdatetime testsuv testfloatformatter testdecimalstring testunkown testctdose testcompositecontext testsafeprivate testremoveid testattributelist \
			testcontentitem testcodingscheme testcharset testcleaner testanatomy testgeometry testdicomdir testnetwork testuuid testbase64 testdates testsequence \
			testthread testdatabase testmultiframe testrepair testcodedsequenceitem testpackbits testcapabilitiespresent testcapabilitiesabsent

testdicomstreamcopier:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDicomStreamCopier_AllTests

testcapabilitiespresent:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR}:${JPEGBLOCKREDACTIONJAR}:${BZIP2ADDITIONALJAR}:${JIIOADDITIONALJARS} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCapabilitiesPresent_AllTests

testcapabilitiesabsent:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCapabilitiesAbsent_AllTests

testpackbits:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestPackBits_AllTests
			
testcodedsequenceitem:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCodedSequenceItem_AllTests
			
testcolorconv:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestColorConversions_AllTests
			
testmultiframe:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR}:${VECMATHADDITIONALJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestMultiFrameImageFactory_AllTests

testdatetime:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDateTimeAttribute_AllTests

testsuv:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestSUVTransform_AllTests

testfloatformatter:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestFloatFormatter_AllTests

testdecimalstring:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDecimalStringAttribute_AllTests

testunkown:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestUnknownAttribute_AllTests

testctdose:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCTDose_AllTests

testcompositecontext:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCompositeInstanceContext_AllTests

testsafeprivate:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true -Dcom.pixelmed.test.filepath=${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/SafePrivateTestImages org.junit.runner.JUnitCore com.pixelmed.test.TestSafePrivate_AllTests

testremoveid:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestRemoveIdentifyingAttributes_AllTests

testattributelist:	${OBJS}
	rm -f testcstorefile_*.dcm
	cp "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG12/GE_VingMed/GEMS_IMG/2001_DEC/10/3M181115/2929IUO2" testcstorefile_jpegbaseline.dcm
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestAttributeList_AllTests
	rm testcstorefile_*.dcm

testcontentitem:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestContentItem_AllTests

testcodingscheme:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCodingScheme_AllTests

testcharset:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCharacterSet_AllTests

testcleaner:	TestCleaner_AllTests.class TestCleanerReceiveAndClean.class UserInterfaceUtilities.class
	rm -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner
	if [ -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties ]; then cp $${HOME}/.com.pixelmed.display.DicomCleaner.properties $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner; fi
	cp TestCleaner.properties $${HOME}/.com.pixelmed.display.DicomCleaner.properties
	mkdir -p ./tmp/TestCleanerReceiveAndClean
	rm -rf ./tmp/TestCleanerReceiveAndClean/*
	rm -f testcleanerfile_pre.dcm testcleanerfile.dcm
	dcsmpte testcleanerfile.dcm \
		-nodisclaimer \
		-r PatientName             "Test^OriginalName" \
		-r PatientID               "TESTORIGINALID" \
		-r AccessionNumber         "TESTORIGINALNUM" \
		-r StudyID			       "TESTORIGINALID" \
		-r InstitutionName         "Original Institution" \
		-r DeviceSerialNumber      "Original Serial Number" \
		-r PatientWeight           "57.5" \
		-r PatientSize             "175" \
		-r PatientSex              "F" \
		-r PatientAge              "041Y" \
		-r PatientBirthDate        "19700214" \
		-r StudyDescription        "Original Study Description" \
		-r SeriesDescription       "Original Series Description" \
		-r ImageComments           "Original Image Comment" \
		-r SOPInstanceUID          "1.3.6.1.4.1.5962.1.1.0.0.0.1298308902.23788.0" \
		-r SeriesInstanceUID       "1.3.6.1.4.1.5962.1.3.0.0.1298308902.23788.0" \
		-r StudyInstanceUID        "1.3.6.1.4.1.5962.1.2.0.1298308902.23788.0" \
		-r ClinicalTrialProtocolID "TESTORIGINALID" \
		-r '(0x0029,0x0010)'       "SIEMENS MED DISPLAY " \
		-r '(0x0029,0x1099)'        "UnsafeOriginalPrivateValue" \
		-r '(0x01E1,0x0010)'       "ELSCINT1" \
		-r '(0x01E1,0x1026)'       "SAFEPHANTOMTYPE "
	#dccp -nodisclaimer testcleanerfile_pre.dcm testcleanerfile.dcm # in order to set correct explicit VR of private attributes to allow pixelmed to see values as strings not UN
	#rm testcleanerfile_pre.dcm
	#dciodvfy testcleanerfile.dcm
	# do NOT use VIEWERADDITIONALJARS, which includes jmdns, and make cause default send target to not be the desired target (000615)
	java -cp ${PATHTOROOT}:${DISPLAYADDITIONALJARS}:${DATABASEADDITIONALJARS}:${JUNITJAR} org.junit.runner.JUnitCore com.pixelmed.test.TestCleaner_AllTests
	rm testcleanerfile.dcm
	#rm -r ./tmp/TestCleanerReceiveAndClean
	if [ -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner ]; then cp $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner $${HOME}/.com.pixelmed.display.DicomCleaner.properties; else rm -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties; fi

testanatomy:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestAnatomy_AllTests

testgeometry:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR}:${VECMATHADDITIONALJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestGeometry_AllTests

testdicomdir:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDicomDirectory_AllTests

testnetwork:	${OBJS}
	rm -f testnetworkfile_*.dcm
	dcsmpte testnetworkfile_scevrle.dcm
	cp "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG12/GE_VingMed/GEMS_IMG/2001_DEC/11/6M163410/2929J686" testnetworkfile_usrle.dcm
	cp "$${HOME}/Pictures/Medical/MPEG/Video Endoscopic mpeg.dcm" testnetworkfile_endompeg.dcm
	mkdir -p receivedfiles
	rm -rf receivedfiles/*

=== com/pixelmed/display/event/Makefile ===
PATHTOROOT = ../../../..

OBJS =	BrowserPaneChangeEvent.class \
	FrameSelectionChangeEvent.class \
	FrameSortOrderChangeEvent.class \
	RegionSelectionChangeEvent.class \
	SourceImageSelectionChangeEvent.class \
	SourceSpectrumSelectionChangeEvent.class \
	StatusChangeEvent.class \
	TaskChangeEvent.class \
	VOIFunctionChangeEvent.class \
	WellKnownContext.class \
	WindowCenterAndWidthChangeEvent.class \
	ApplyShutterChangeEvent.class \
	WindowLinearCalculationChangeEvent.class \
	WindowingAccelerationValueChangeEvent.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

=== debian/control ===
Source: pixelmed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: default-jdk,
                     javahelper,
                     junit4,
                     libcommons-codec-java,
                     libcommons-net-java (>= 3),
                     libcommons-compress-java,
                     libhsqldb-java,
                     libjmdns-java,
                     libvecmath-java,
                     libpixelmed-codec-java,
                     libjsonp-java,
                     libjaxb-api-java
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/pixelmed
Vcs-Git: https://salsa.debian.org/med-team/pixelmed.git
Homepage: http://www.pixelmed.com

Package: libpixelmed-java
Architecture: all
Section: java
Depends: ${java:Depends},
         ${misc:Depends}
Suggests: libjai-imageio-core-java,
          libpixelmed-java-doc
Conflicts: pixelmed-java
Replaces: pixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.

Package: libpixelmed-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         doc-base
Suggests: libpixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer - doc
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This is the documentation package for libpixelmed-java

Package: pixelmed-apps
Architecture: all
Section: utils
Depends: ${misc:Depends},
         default-jre-headless (>= 2:1.7) | java7-runtime-headless,
         libpixelmed-java (= ${binary:Version}),
         java-wrappers
Conflicts: pixelmed-java
Replaces: pixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer - cli
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 Provide command line applications for using pixelmed

Package: pixelmed-webstart-apps
Architecture: all
Section: utils
Depends: ${misc:Depends},
         libpixelmed-java (= ${binary:Version})
Description: DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 Provide JNLP applications as command line apps

Package: pixelmed-www
Architecture: all
Section: web
Depends: ${misc:Depends},
         pixelmed-webstart-apps (= ${binary:Version})
Description: DICOM implementation containing Image Viewer and a ECG Viewer - web
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This is the web package. Depends on JNLP applications, provides HTML pages

=== debian/watch ===
version=4

opts="mode=git,pretty=20150917+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
    https://github.com/hajk1/pixelmed-20151119.git HEAD
